var $ = require('jquery');

module.exports = function(dom) {

  dom = $(dom);

  var datetimepicker = dom.datetimepicker({
    language: 'zh-CN',
    format: dom.attr('format') || 'yyyy-mm-dd',
    startView: dom.attr('startView') || 'month',
    minView: dom.attr('minView') || 'month',
    maxView: dom.attr('maxView') || 'decade',
    todayHighlight: false,
    weekStart: 1,
    autoclose: true,
    forceParse: false,
    showMeridian: true,
    pickerPosition: 'bottom-right',
    minuteStep: parseInt(dom.attr('minuteStep') || 5),
    keyboardNavigation: true,
    todayBtn: false
  });

  return datetimepicker;

}