# flute-datepicker

```html
<input min-view="hour" format="yyyy-mm-dd hh:ii:ss" minute-step="10"/>
```

<table>
        <tr>
                    <th>format</th>
                    <td>日期格式</td>
                    <td>默认值:yyyy-mm-dd</td>
                    <td>可选:p, P, h, hh, i, ii, s, ss, d, dd, m, mm, M, MM, yy, yyyy 的任意组合</td>
                </tr>
                <tr>
                    <th>start-view</th>
                    <td>日期时间选择器打开之后首先显示的视图</td>
                    <td>默认值:month</td>
                    <td>可选:hour,day,month,year,decade</td>
                </tr>
                <tr>
                    <th>min-view</th>
                    <td>日期时间选择器所能够提供的最精确的时间选择视图</td>
                    <td>默认值:hour</td>
                    <td>可选:hour,day,month,year,decade</td>
                </tr>
                <tr>
                    <th>max-view</th>
                    <td>日期时间选择器最高能展示的选择范围视图</td>
                    <td>默认值:decade</td>
                    <td>可选:hour,day,month,year,decade</td>
                </tr>
                <tr>
                    <th>minute-step</th>
                    <td>每秒间隔</td>
                    <td>默认值:5</td>
                    <td>&nbsp;</td>
                </tr>
            </table>

直接使用

```javascript
var datepicker = require('flute-datepicker');
var instance = datepicker(dom);
instance.on('changDate',function(e){
  var date = e.date;
  var value = e.target.value;
})
```

通过 FLUTE 使用

```html
<input flute-ui="flute-datepicker">
```